Public Member Functions | Public Attributes | List of all members
QuattroGraphInternal::Shape Struct Referencefinal

Internal: a shape of a QuattroGraph. More...

Inheritance diagram for QuattroGraphInternal::Shape:

## Public Member Functions
| Shape ()
| constructor More...
| ~Shape () final
| destructor More...
Public Member Functions inherited from QuattroGraphInternal::ShapeHeader
| ShapeHeader ()
| constructor More...
virtual | ~ShapeHeader ()
| destructor More...
virtual bool | isTextbox () const
| returns true if the shape is a textbox More...

## Public Attributes
WPSGraphicShape | m_shape
| the graphic shape More...
Public Attributes inherited from QuattroGraphInternal::ShapeHeader
int | m_type
| the type More...
WPSBox2i | m_box
| the bdbox More...
int | m_id
| an id? More...
WPSGraphicStyle | m_style
| the graphic style More...
int | m_values [5]
| optional values More...
int | m_flags [14]
| some flags More...
int | m_values2 [4]
| style values More...
std::string | m_extra
| error message More...

## Detailed Description

Internal: a shape of a QuattroGraph.

## Constructor & Destructor Documentation

## ◆ Shape()

QuattroGraphInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## ◆ ~Shape()

QuattroGraphInternal::Shape::~Shape | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_shape

WPSGraphicShape QuattroGraphInternal::Shape::m_shape

the graphic shape

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp